import request from "@/utils/request";
// 岗检完成确认
export function postPlanAffirm(data) {
  return request({
    url: "/postCheck/postPlanJoinChecked/checked",
    method: "put",
    params: data,
  });
}
// 岗检完成确认重新上传
export function imgReUpload(data) {
    return request({
      url: "/postCheck/postPlanJoinChecked/imgReUpload",
      method: "put",
      params: data,
    });
  }
// 列表
export function getPostPlanList(params) {
  return request({
    url: "/postCheck/postPlanJoinChecked/list",
    method: "get",
    params
  });
}

// 修改岗检问题录入列表
export function addPostPlanJoinProblem(data) {
    return request({
      url: "/postCheck/postCheckedProblem",
      method: "post",
      data: data,
    });
  }
  export function updatePostPlanJoinProblem(data) {
    return request({
      url: "/postCheck/postCheckedProblem",
      method: "put",
      data: data,
    });
  }
// 列表
export function getJoinProblemList(params) {
  return request({
    url: "/postCheck/postPlanJoinProblem/list",
    method: "get",
    params
  });
}
// 查询列表
export function listCheckedProblem(query) {
  return request({
    url: "/postCheck/postCheckedProblem/list",
    method: "get",
    params: query,
  });
}

export function batchImport(data) {
  return request({
    url: "/postCheck/postCheckedProblem/batchImport",
    method: "post",
    data: data,
  });
}
